set_irq_wake
Prev | Interrupt Handling | Next

## Name

set_irq_wake — control irq power management wakeup

## Synopsis

`int set_irq_wake (` | unsigned int | irq,
| unsigned int | on`)`;

## Arguments

`irq`

  interrupt to control

`on`

  enable/disable power management wakeup

## Description

Enable/disable power management wakeup mode, which is disabled by default. Enables and disables must match, just as they match for non-wakeup mode support.

Wakeup mode lets this IRQ wake the system from sleep states like “suspend to RAM”.

Prev | Up | Next
enable_irq | Home | free_irq